static const struct { const char *name; OptIndex opt_idx; } option_hash_elems[] = {
  { .name = "ea", .opt_idx = kOptEqualalways },
  { .name = "pa", .opt_idx = kOptPath },
  { .name = "wa", .opt_idx = kOptWriteany },
  { .name = "ma", .opt_idx = kOptModifiable },
  { .name = "eb", .opt_idx = kOptErrorbells },
  { .name = "pb", .opt_idx = kOptPumblend },
  { .name = "wb", .opt_idx = kOptWritebackup },
  { .name = "vb", .opt_idx = kOptVisualbell },
  { .name = "sb", .opt_idx = kOptSplitbelow },
  { .name = "cb", .opt_idx = kOptClipboard },
  { .name = "tc", .opt_idx = kOptTagcase },
  { .name = "cc", .opt_idx = kOptColorcolumn },
  { .name = "uc", .opt_idx = kOptUpdatecount },
  { .name = "sc", .opt_idx = kOptShowcmd },
  { .name = "wc", .opt_idx = kOptWildchar },
  { .name = "ic", .opt_idx = kOptIgnorecase },
  { .name = "ed", .opt_idx = kOptEdcompatible },
  { .name = "gd", .opt_idx = kOptGdefault },
  { .name = "sd", .opt_idx = kOptShada },
  { .name = "wd", .opt_idx = kOptWritedelay },
  { .name = "cd", .opt_idx = kOptCdpath },
  { .name = "qe", .opt_idx = kOptQuoteescape },
  { .name = "re", .opt_idx = kOptRegexpengine },
  { .name = "ve", .opt_idx = kOptVirtualedit },
  { .name = "ff", .opt_idx = kOptFileformat },
  { .name = "hf", .opt_idx = kOptHelpfile },
  { .name = "ef", .opt_idx = kOptErrorfile },
  { .name = "tf", .opt_idx = kOptTtyfast },
  { .name = "cf", .opt_idx = kOptConfirm },
  { .name = "nf", .opt_idx = kOptNrformats },
  { .name = "dg", .opt_idx = kOptDigraph },
  { .name = "bg", .opt_idx = kOptBackground },
  { .name = "ch", .opt_idx = kOptCmdheight },
  { .name = "hh", .opt_idx = kOptHelpheight },
  { .name = "mh", .opt_idx = kOptMousehide },
  { .name = "sh", .opt_idx = kOptShell },
  { .name = "bh", .opt_idx = kOptBufhidden },
  { .name = "wh", .opt_idx = kOptWinheight },
  { .name = "ph", .opt_idx = kOptPumheight },
  { .name = "ri", .opt_idx = kOptRevins },
  { .name = "si", .opt_idx = kOptSmartindent },
  { .name = "vi", .opt_idx = kOptShada },
  { .name = "wi", .opt_idx = kOptWindow },
  { .name = "pi", .opt_idx = kOptPreserveindent },
  { .name = "hi", .opt_idx = kOptHistory },
  { .name = "ei", .opt_idx = kOptEventignore },
  { .name = "ci", .opt_idx = kOptCopyindent },
  { .name = "ai", .opt_idx = kOptAutoindent },
  { .name = "sj", .opt_idx = kOptScrolljump },
  { .name = "bk", .opt_idx = kOptBackup },
  { .name = "hk", .opt_idx = kOptHkmap },
  { .name = "rl", .opt_idx = kOptRightleft },
  { .name = "hl", .opt_idx = kOptHighlight },
  { .name = "tl", .opt_idx = kOptTaglength },
  { .name = "ul", .opt_idx = kOptUndolevels },
  { .name = "bl", .opt_idx = kOptBuflisted },
  { .name = "al", .opt_idx = kOptAleph },
  { .name = "ml", .opt_idx = kOptModeline },
  { .name = "pm", .opt_idx = kOptPatchmode },
  { .name = "wm", .opt_idx = kOptWrapmargin },
  { .name = "im", .opt_idx = kOptInsertmode },
  { .name = "tm", .opt_idx = kOptTimeoutlen },
  { .name = "km", .opt_idx = kOptKeymodel },
  { .name = "lm", .opt_idx = kOptLangmenu },
  { .name = "sm", .opt_idx = kOptShowmatch },
  { .name = "go", .opt_idx = kOptGuioptions },
  { .name = "co", .opt_idx = kOptColumns },
  { .name = "fo", .opt_idx = kOptFormatoptions },
  { .name = "ro", .opt_idx = kOptReadonly },
  { .name = "so", .opt_idx = kOptScrolloff },
  { .name = "to", .opt_idx = kOptTimeout },
  { .name = "bo", .opt_idx = kOptBelloff },
  { .name = "ep", .opt_idx = kOptEqualprg },
  { .name = "fp", .opt_idx = kOptFormatprg },
  { .name = "gp", .opt_idx = kOptGrepprg },
  { .name = "sp", .opt_idx = kOptShellpipe },
  { .name = "cp", .opt_idx = kOptCompatible },
  { .name = "pp", .opt_idx = kOptPackpath },
  { .name = "kp", .opt_idx = kOptKeywordprg },
  { .name = "mp", .opt_idx = kOptMakeprg },
  { .name = "sr", .opt_idx = kOptShiftround },
  { .name = "tr", .opt_idx = kOptTagrelative },
  { .name = "ur", .opt_idx = kOptUndoreload },
  { .name = "ar", .opt_idx = kOptAutoread },
  { .name = "ts", .opt_idx = kOptTabstop },
  { .name = "bs", .opt_idx = kOptBackspace },
  { .name = "fs", .opt_idx = kOptFsync },
  { .name = "ss", .opt_idx = kOptSidescroll },
  { .name = "is", .opt_idx = kOptIncsearch },
  { .name = "ws", .opt_idx = kOptWrapscan },
  { .name = "js", .opt_idx = kOptJoinspaces },
  { .name = "ls", .opt_idx = kOptLaststatus },
  { .name = "et", .opt_idx = kOptExpandtab },
  { .name = "ft", .opt_idx = kOptFiletype },
  { .name = "pt", .opt_idx = kOptPastetoggle },
  { .name = "ut", .opt_idx = kOptUpdatetime },
  { .name = "bt", .opt_idx = kOptBuftype },
  { .name = "ru", .opt_idx = kOptRuler },
  { .name = "nu", .opt_idx = kOptNumber },
  { .name = "su", .opt_idx = kOptSuffixes },
  { .name = "pw", .opt_idx = kOptPumwidth },
  { .name = "sw", .opt_idx = kOptShiftwidth },
  { .name = "tw", .opt_idx = kOptTextwidth },
  { .name = "ww", .opt_idx = kOptWhichwrap },
  { .name = "lw", .opt_idx = kOptLispwords },
  { .name = "aw", .opt_idx = kOptAutowrite },
  { .name = "ex", .opt_idx = kOptExrc },
  { .name = "dy", .opt_idx = kOptDisplay },
  { .name = "lz", .opt_idx = kOptLazyredraw },
  { .name = "sta", .opt_idx = kOptSmarttab },
  { .name = "cia", .opt_idx = kOptCompleteitemalign },
  { .name = "awa", .opt_idx = kOptAutowriteall },
  { .name = "sua", .opt_idx = kOptSuffixesadd },
  { .name = "rdb", .opt_idx = kOptRedrawdebug },
  { .name = "scb", .opt_idx = kOptScrollbind },
  { .name = "crb", .opt_idx = kOptCursorbind },
  { .name = "wfb", .opt_idx = kOptWinfixbuf },
  { .name = "swb", .opt_idx = kOptSwitchbuf },
  { .name = "enc", .opt_idx = kOptEncoding },
  { .name = "cfc", .opt_idx = kOptCompletefuzzycollect },
  { .name = "fic", .opt_idx = kOptFileignorecase },
  { .name = "fdc", .opt_idx = kOptFoldcolumn },
  { .name = "msc", .opt_idx = kOptMaxsearchcount },
  { .name = "rlc", .opt_idx = kOptRightleftcmd },
  { .name = "inc", .opt_idx = kOptInclude },
  { .name = "wic", .opt_idx = kOptWildignorecase },
  { .name = "spc", .opt_idx = kOptSpellcapcheck },
  { .name = "tgc", .opt_idx = kOptTermguicolors },
  { .name = "bkc", .opt_idx = kOptBackupcopy },
  { .name = "cuc", .opt_idx = kOptCursorcolumn },
  { .name = "stc", .opt_idx = kOptStatuscolumn },
  { .name = "imc", .opt_idx = kOptImcmdline },
  { .name = "smc", .opt_idx = kOptSynmaxcol },
  { .name = "ead", .opt_idx = kOptEadirection },
  { .name = "mfd", .opt_idx = kOptMaxfuncdepth },
  { .name = "hid", .opt_idx = kOptHidden },
  { .name = "imd", .opt_idx = kOptImdisable },
  { .name = "smd", .opt_idx = kOptShowmode },
  { .name = "acd", .opt_idx = kOptAutochdir },
  { .name = "mmd", .opt_idx = kOptMaxmapdepth },
  { .name = "mod", .opt_idx = kOptModified },
  { .name = "mle", .opt_idx = kOptModelineexpr },
  { .name = "sxe", .opt_idx = kOptShellxescape },
  { .name = "ise", .opt_idx = kOptIsexpand },
  { .name = "fde", .opt_idx = kOptFoldexpr },
  { .name = "eof", .opt_idx = kOptEndoffile },
  { .name = "ruf", .opt_idx = kOptRulerformat },
  { .name = "sdf", .opt_idx = kOptShadafile },
  { .name = "vif", .opt_idx = kOptShadafile },
  { .name = "spf", .opt_idx = kOptSpellfile },
  { .name = "udf", .opt_idx = kOptUndofile },
  { .name = "tpf", .opt_idx = kOptTermpastefilter },
  { .name = "inf", .opt_idx = kOptInfercase },
  { .name = "isf", .opt_idx = kOptIsfname },
  { .name = "mef", .opt_idx = kOptMakeef },
  { .name = "def", .opt_idx = kOptDefine },
  { .name = "swf", .opt_idx = kOptSwapfile },
  { .name = "hlg", .opt_idx = kOptHelplang },
  { .name = "tag", .opt_idx = kOptTags },
  { .name = "wig", .opt_idx = kOptWildignore },
  { .name = "cwh", .opt_idx = kOptCmdwinheight },
  { .name = "pvh", .opt_idx = kOptPreviewheight },
  { .name = "wfh", .opt_idx = kOptWinfixheight },
  { .name = "cdh", .opt_idx = kOptCdhome },
  { .name = "wmh", .opt_idx = kOptWinminheight },
  { .name = "chi", .opt_idx = kOptChistory },
  { .name = "isi", .opt_idx = kOptIsident },
  { .name = "lhi", .opt_idx = kOptLhistory },
  { .name = "ari", .opt_idx = kOptAllowrevins },
  { .name = "fdi", .opt_idx = kOptFoldignore },
  { .name = "bri", .opt_idx = kOptBreakindent },
  { .name = "imi", .opt_idx = kOptIminsert },
  { .name = "bsk", .opt_idx = kOptBackupskip },
  { .name = "brk", .opt_idx = kOptBreakat },
  { .name = "isk", .opt_idx = kOptIskeyword },
  { .name = "spk", .opt_idx = kOptSplitkeep },
  { .name = "wak", .opt_idx = kOptWinaltkeys },
  { .name = "eol", .opt_idx = kOptEndofline },
  { .name = "fml", .opt_idx = kOptFoldminlines },
  { .name = "fcl", .opt_idx = kOptFoldclose },
  { .name = "ssl", .opt_idx = kOptShellslash },
  { .name = "scl", .opt_idx = kOptSigncolumn },
  { .name = "sel", .opt_idx = kOptSelection },
  { .name = "spl", .opt_idx = kOptSpelllang },
  { .name = "cul", .opt_idx = kOptCursorline },
  { .name = "csl", .opt_idx = kOptCompleteslash },
  { .name = "lpl", .opt_idx = kOptLoadplugins },
  { .name = "fdl", .opt_idx = kOptFoldlevel },
  { .name = "sol", .opt_idx = kOptStartofline },
  { .name = "stl", .opt_idx = kOptStatusline },
  { .name = "tcl", .opt_idx = kOptTabclose },
  { .name = "gtl", .opt_idx = kOptGuitablabel },
  { .name = "tal", .opt_idx = kOptTabline },
  { .name = "com", .opt_idx = kOptComments },
  { .name = "fdm", .opt_idx = kOptFoldmethod },
  { .name = "gfm", .opt_idx = kOptGrepformat },
  { .name = "msm", .opt_idx = kOptMkspellmem },
  { .name = "shm", .opt_idx = kOptShortmess },
  { .name = "slm", .opt_idx = kOptSelectmode },
  { .name = "wim", .opt_idx = kOptWildmode },
  { .name = "wcm", .opt_idx = kOptWildcharm },
  { .name = "efm", .opt_idx = kOptErrorformat },
  { .name = "icm", .opt_idx = kOptInccommand },
  { .name = "ttm", .opt_idx = kOptTtimeoutlen },
  { .name = "lrm", .opt_idx = kOptLangremap },
  { .name = "tpm", .opt_idx = kOptTabpagemax },
  { .name = "cin", .opt_idx = kOptCindent },
  { .name = "bin", .opt_idx = kOptBinary },
  { .name = "fdn", .opt_idx = kOptFoldnestmax },
  { .name = "fen", .opt_idx = kOptFoldenable },
  { .name = "syn", .opt_idx = kOptSyntax },
  { .name = "gfn", .opt_idx = kOptGuifont },
  { .name = "emo", .opt_idx = kOptEmoji },
  { .name = "fdo", .opt_idx = kOptFoldopen },
  { .name = "sbo", .opt_idx = kOptScrollopt },
  { .name = "spo", .opt_idx = kOptSpelloptions },
  { .name = "mco", .opt_idx = kOptMaxcombine },
  { .name = "cpo", .opt_idx = kOptCpoptions },
  { .name = "flp", .opt_idx = kOptFormatlistpat },
  { .name = "rtp", .opt_idx = kOptRuntimepath },
  { .name = "dip", .opt_idx = kOptDiffopt },
  { .name = "hkp", .opt_idx = kOptHkmapp },
  { .name = "kmp", .opt_idx = kOptKeymap },
  { .name = "vop", .opt_idx = kOptViewoptions },
  { .name = "top", .opt_idx = kOptTildeop },
  { .name = "isp", .opt_idx = kOptIsprint },
  { .name = "jop", .opt_idx = kOptJumpoptions },
  { .name = "cmp", .opt_idx = kOptCasemap },
  { .name = "lsp", .opt_idx = kOptLinespace },
  { .name = "lop", .opt_idx = kOptLispoptions },
  { .name = "wop", .opt_idx = kOptWildoptions },
  { .name = "mmp", .opt_idx = kOptMaxmempattern },
  { .name = "shq", .opt_idx = kOptShellquote },
  { .name = "sxq", .opt_idx = kOptShellxquote },
  { .name = "dir", .opt_idx = kOptDirectory },
  { .name = "fmr", .opt_idx = kOptFoldmarker },
  { .name = "srr", .opt_idx = kOptShellredir },
  { .name = "scr", .opt_idx = kOptScroll },
  { .name = "gcr", .opt_idx = kOptGuicursor },
  { .name = "sbr", .opt_idx = kOptShowbreak },
  { .name = "tsr", .opt_idx = kOptThesaurus },
  { .name = "lnr", .opt_idx = kOptLangnoremap },
  { .name = "lbr", .opt_idx = kOptLinebreak },
  { .name = "spr", .opt_idx = kOptSplitright },
  { .name = "wbr", .opt_idx = kOptWinbar },
  { .name = "tbs", .opt_idx = kOptTagbsearch },
  { .name = "cms", .opt_idx = kOptCommentstring },
  { .name = "fcs", .opt_idx = kOptFillchars },
  { .name = "mis", .opt_idx = kOptMenuitems },
  { .name = "ims", .opt_idx = kOptImsearch },
  { .name = "vbs", .opt_idx = kOptVerbose },
  { .name = "sts", .opt_idx = kOptSofttabstop },
  { .name = "sps", .opt_idx = kOptSpellsuggest },
  { .name = "hls", .opt_idx = kOptHlsearch },
  { .name = "mls", .opt_idx = kOptModelines },
  { .name = "lcs", .opt_idx = kOptListchars },
  { .name = "ffs", .opt_idx = kOptFileformats },
  { .name = "sms", .opt_idx = kOptSmoothscroll },
  { .name = "scs", .opt_idx = kOptSmartcase },
  { .name = "vts", .opt_idx = kOptVartabstop },
  { .name = "mps", .opt_idx = kOptMatchpairs },
  { .name = "cpt", .opt_idx = kOptComplete },
  { .name = "fdt", .opt_idx = kOptFoldtext },
  { .name = "mat", .opt_idx = kOptMatchtime },
  { .name = "gtt", .opt_idx = kOptGuitabtooltip },
  { .name = "rdt", .opt_idx = kOptRedrawtime },
  { .name = "sft", .opt_idx = kOptShowfulltag },
  { .name = "cot", .opt_idx = kOptCompleteopt },
  { .name = "tfu", .opt_idx = kOptTagfunc },
  { .name = "cfu", .opt_idx = kOptCompletefunc },
  { .name = "ffu", .opt_idx = kOptFindfunc },
  { .name = "rnu", .opt_idx = kOptRelativenumber },
  { .name = "ofu", .opt_idx = kOptOmnifunc },
  { .name = "ccv", .opt_idx = kOptCharconvert },
  { .name = "gfw", .opt_idx = kOptGuifontwide },
  { .name = "wiw", .opt_idx = kOptWinwidth },
  { .name = "eiw", .opt_idx = kOptEventignorewin },
  { .name = "nuw", .opt_idx = kOptNumberwidth },
  { .name = "wfw", .opt_idx = kOptWinfixwidth },
  { .name = "wmw", .opt_idx = kOptWinminwidth },
  { .name = "pvw", .opt_idx = kOptPreviewwindow },
  { .name = "pmw", .opt_idx = kOptPummaxwidth },
  { .name = "bex", .opt_idx = kOptBackupext },
  { .name = "fex", .opt_idx = kOptFormatexpr },
  { .name = "pyx", .opt_idx = kOptPyxversion },
  { .name = "pex", .opt_idx = kOptPatchexpr },
  { .name = "dex", .opt_idx = kOptDiffexpr },
  { .name = "para", .opt_idx = kOptParagraphs },
  { .name = "bomb", .opt_idx = kOptBomb },
  { .name = "arab", .opt_idx = kOptArabic },
  { .name = "tenc", .opt_idx = kOptTermencoding },
  { .name = "fenc", .opt_idx = kOptFileencoding },
  { .name = "sloc", .opt_idx = kOptShowcmdloc },
  { .name = "menc", .opt_idx = kOptMakeencoding },
  { .name = "exrc", .opt_idx = kOptExrc },
  { .name = "more", .opt_idx = kOptMore },
  { .name = "inde", .opt_idx = kOptIndentexpr },
  { .name = "cole", .opt_idx = kOptConceallevel },
  { .name = "qftf", .opt_idx = kOptQuickfixtextfunc },
  { .name = "shcf", .opt_idx = kOptShellcmdflag },
  { .name = "diff", .opt_idx = kOptDiff },
  { .name = "path", .opt_idx = kOptPath },
  { .name = "cink", .opt_idx = kOptCinkeys },
  { .name = "scbk", .opt_idx = kOptScrollback },
  { .name = "indk", .opt_idx = kOptIndentkeys },
  { .name = "stal", .opt_idx = kOptShowtabline },
  { .name = "icon", .opt_idx = kOptIcon },
  { .name = "warn", .opt_idx = kOptWarn },
  { .name = "siso", .opt_idx = kOptSidescrolloff },
  { .name = "cino", .opt_idx = kOptCinoptions },
  { .name = "deco", .opt_idx = kOptDelcombine },
  { .name = "stmp", .opt_idx = kOptShelltemp },
  { .name = "ssop", .opt_idx = kOptSessionoptions },
  { .name = "wrap", .opt_idx = kOptWrap },
  { .name = "lisp", .opt_idx = kOptLisp },
  { .name = "lmap", .opt_idx = kOptLangmap },
  { .name = "bdir", .opt_idx = kOptBackupdir },
  { .name = "udir", .opt_idx = kOptUndodir },
  { .name = "vdir", .opt_idx = kOptViewdir },
  { .name = "vsts", .opt_idx = kOptVarsofttabstop },
  { .name = "tags", .opt_idx = kOptTags },
  { .name = "fdls", .opt_idx = kOptFoldlevelstart },
  { .name = "sect", .opt_idx = kOptSections },
  { .name = "dict", .opt_idx = kOptDictionary },
  { .name = "list", .opt_idx = kOptList },
  { .name = "tgst", .opt_idx = kOptTagstack },
  { .name = "mopt", .opt_idx = kOptMessagesopt },
  { .name = "wmnu", .opt_idx = kOptWildmenu },
  { .name = "cocu", .opt_idx = kOptConcealcursor },
  { .name = "odev", .opt_idx = kOptOpendevice },
  { .name = "cinw", .opt_idx = kOptCinwords },
  { .name = "ambw", .opt_idx = kOptAmbiwidth },
  { .name = "inex", .opt_idx = kOptIncludeexpr },
  { .name = "busy", .opt_idx = kOptBusy },
  { .name = "aleph", .opt_idx = kOptAleph },
  { .name = "bsdir", .opt_idx = kOptBrowsedir },
  { .name = "cedit", .opt_idx = kOptCedit },
  { .name = "cinsd", .opt_idx = kOptCinscopedecls },
  { .name = "debug", .opt_idx = kOptDebug },
  { .name = "emoji", .opt_idx = kOptEmoji },
  { .name = "fencs", .opt_idx = kOptFileencodings },
  { .name = "fsync", .opt_idx = kOptFsync },
  { .name = "hkmap", .opt_idx = kOptHkmap },
  { .name = "lines", .opt_idx = kOptLines },
  { .name = "mouse", .opt_idx = kOptMouse },
  { .name = "magic", .opt_idx = kOptMagic },
  { .name = "paste", .opt_idx = kOptPaste },
  { .name = "remap", .opt_idx = kOptRemap },
  { .name = "ruler", .opt_idx = kOptRuler },
  { .name = "shell", .opt_idx = kOptShell },
  { .name = "spell", .opt_idx = kOptSpell },
  { .name = "shada", .opt_idx = kOptShada },
  { .name = "tbidi", .opt_idx = kOptTermbidi },
  { .name = "terse", .opt_idx = kOptTerse },
  { .name = "tsrfu", .opt_idx = kOptThesaurusfunc },
  { .name = "title", .opt_idx = kOptTitle },
  { .name = "vfile", .opt_idx = kOptVerbosefile },
  { .name = "write", .opt_idx = kOptWrite },
  { .name = "winbl", .opt_idx = kOptWinblend },
  { .name = "winhl", .opt_idx = kOptWinhighlight },
  { .name = "arabic", .opt_idx = kOptArabic },
  { .name = "backup", .opt_idx = kOptBackup },
  { .name = "secure", .opt_idx = kOptSecure },
  { .name = "hidden", .opt_idx = kOptHidden },
  { .name = "opfunc", .opt_idx = kOptOperatorfunc },
  { .name = "define", .opt_idx = kOptDefine },
  { .name = "cdhome", .opt_idx = kOptCdhome },
  { .name = "briopt", .opt_idx = kOptBreakindentopt },
  { .name = "makeef", .opt_idx = kOptMakeef },
  { .name = "culopt", .opt_idx = kOptCursorlineopt },
  { .name = "number", .opt_idx = kOptNumber },
  { .name = "hkmapp", .opt_idx = kOptHkmapp },
  { .name = "binary", .opt_idx = kOptBinary },
  { .name = "syntax", .opt_idx = kOptSyntax },
  { .name = "winbar", .opt_idx = kOptWinbar },
  { .name = "window", .opt_idx = kOptWindow },
  { .name = "prompt", .opt_idx = kOptPrompt },
  { .name = "report", .opt_idx = kOptReport },
  { .name = "cdpath", .opt_idx = kOptCdpath },
  { .name = "scroll", .opt_idx = kOptScroll },
  { .name = "mousem", .opt_idx = kOptMousemodel },
  { .name = "mouses", .opt_idx = kOptMouseshape },
  { .name = "mouset", .opt_idx = kOptMousetime },
  { .name = "mousef", .opt_idx = kOptMousefocus },
  { .name = "revins", .opt_idx = kOptRevins },
  { .name = "fixeol", .opt_idx = kOptFixendofline },
  { .name = "keymap", .opt_idx = kOptKeymap },
  { .name = "channel", .opt_idx = kOptChannel },
  { .name = "tabstop", .opt_idx = kOptTabstop },
  { .name = "tabline", .opt_idx = kOptTabline },
  { .name = "include", .opt_idx = kOptInclude },
  { .name = "undodir", .opt_idx = kOptUndodir },
  { .name = "breakat", .opt_idx = kOptBreakat },
  { .name = "grepprg", .opt_idx = kOptGrepprg },
  { .name = "viewdir", .opt_idx = kOptViewdir },
  { .name = "diffopt", .opt_idx = kOptDiffopt },
  { .name = "isfname", .opt_idx = kOptIsfname },
  { .name = "buftype", .opt_idx = kOptBuftype },
  { .name = "tagfunc", .opt_idx = kOptTagfunc },
  { .name = "digraph", .opt_idx = kOptDigraph },
  { .name = "tagcase", .opt_idx = kOptTagcase },
  { .name = "guifont", .opt_idx = kOptGuifont },
  { .name = "isident", .opt_idx = kOptIsident },
  { .name = "makeprg", .opt_idx = kOptMakeprg },
  { .name = "columns", .opt_idx = kOptColumns },
  { .name = "tildeop", .opt_idx = kOptTildeop },
  { .name = "belloff", .opt_idx = kOptBelloff },
  { .name = "viminfo", .opt_idx = kOptShada },
  { .name = "timeout", .opt_idx = kOptTimeout },
  { .name = "cindent", .opt_idx = kOptCindent },
  { .name = "langmap", .opt_idx = kOptLangmap },
  { .name = "cinkeys", .opt_idx = kOptCinkeys },
  { .name = "confirm", .opt_idx = kOptConfirm },
  { .name = "showcmd", .opt_idx = kOptShowcmd },
  { .name = "isprint", .opt_idx = kOptIsprint },
  { .name = "verbose", .opt_idx = kOptVerbose },
  { .name = "arshape", .opt_idx = kOptArabicshape },
  { .name = "display", .opt_idx = kOptDisplay },
  { .name = "casemap", .opt_idx = kOptCasemap },
  { .name = "history", .opt_idx = kOptHistory },
  { .name = "ttyfast", .opt_idx = kOptTtyfast },
  { .name = "autoread", .opt_idx = kOptAutoread },
  { .name = "chistory", .opt_idx = kOptChistory },
  { .name = "complete", .opt_idx = kOptComplete },
  { .name = "cinwords", .opt_idx = kOptCinwords },
  { .name = "comments", .opt_idx = kOptComments },
  { .name = "diffexpr", .opt_idx = kOptDiffexpr },
  { .name = "encoding", .opt_idx = kOptEncoding },
  { .name = "equalprg", .opt_idx = kOptEqualprg },
  { .name = "foldtext", .opt_idx = kOptFoldtext },
  { .name = "filetype", .opt_idx = kOptFiletype },
  { .name = "findfunc", .opt_idx = kOptFindfunc },
  { .name = "foldexpr", .opt_idx = kOptFoldexpr },
  { .name = "foldopen", .opt_idx = kOptFoldopen },
  { .name = "gdefault", .opt_idx = kOptGdefault },
  { .name = "helpfile", .opt_idx = kOptHelpfile },
  { .name = "hlsearch", .opt_idx = kOptHlsearch },
  { .name = "helplang", .opt_idx = kOptHelplang },
  { .name = "iminsert", .opt_idx = kOptIminsert },
  { .name = "imsearch", .opt_idx = kOptImsearch },
  { .name = "isexpand", .opt_idx = kOptIsexpand },
  { .name = "keymodel", .opt_idx = kOptKeymodel },
  { .name = "langmenu", .opt_idx = kOptLangmenu },
  { .name = "lhistory", .opt_idx = kOptLhistory },
  { .name = "modeline", .opt_idx = kOptModeline },
  { .name = "mousemev", .opt_idx = kOptMousemoveevent },
  { .name = "modified", .opt_idx = kOptModified },
  { .name = "omnifunc", .opt_idx = kOptOmnifunc },
  { .name = "pumblend", .opt_idx = kOptPumblend },
  { .name = "pumwidth", .opt_idx = kOptPumwidth },
  { .name = "packpath", .opt_idx = kOptPackpath },
  { .name = "readonly", .opt_idx = kOptReadonly },
  { .name = "sections", .opt_idx = kOptSections },
  { .name = "smarttab", .opt_idx = kOptSmarttab },
  { .name = "showmode", .opt_idx = kOptShowmode },
  { .name = "suffixes", .opt_idx = kOptSuffixes },
  { .name = "swapfile", .opt_idx = kOptSwapfile },
  { .name = "titlelen", .opt_idx = kOptTitlelen },
  { .name = "termsync", .opt_idx = kOptTermsync },
  { .name = "termbidi", .opt_idx = kOptTermbidi },
  { .name = "tagstack", .opt_idx = kOptTagstack },
  { .name = "titleold", .opt_idx = kOptTitleold },
  { .name = "ttimeout", .opt_idx = kOptTtimeout },
  { .name = "tabclose", .opt_idx = kOptTabclose },
  { .name = "undofile", .opt_idx = kOptUndofile },
  { .name = "writeany", .opt_idx = kOptWriteany },
  { .name = "wrapscan", .opt_idx = kOptWrapscan },
  { .name = "wildmode", .opt_idx = kOptWildmode },
  { .name = "wildmenu", .opt_idx = kOptWildmenu },
  { .name = "wildchar", .opt_idx = kOptWildchar },
  { .name = "winblend", .opt_idx = kOptWinblend },
  { .name = "winwidth", .opt_idx = kOptWinwidth },
  { .name = "expandtab", .opt_idx = kOptExpandtab },
  { .name = "whichwrap", .opt_idx = kOptWhichwrap },
  { .name = "langremap", .opt_idx = kOptLangremap },
  { .name = "showbreak", .opt_idx = kOptShowbreak },
  { .name = "linebreak", .opt_idx = kOptLinebreak },
  { .name = "backspace", .opt_idx = kOptBackspace },
  { .name = "incsearch", .opt_idx = kOptIncsearch },
  { .name = "showmatch", .opt_idx = kOptShowmatch },
  { .name = "linespace", .opt_idx = kOptLinespace },
  { .name = "mousehide", .opt_idx = kOptMousehide },
  { .name = "lispwords", .opt_idx = kOptLispwords },
  { .name = "patchmode", .opt_idx = kOptPatchmode },
  { .name = "modelines", .opt_idx = kOptModelines },
  { .name = "foldlevel", .opt_idx = kOptFoldlevel },
  { .name = "bufhidden", .opt_idx = kOptBufhidden },
  { .name = "buflisted", .opt_idx = kOptBuflisted },
  { .name = "splitkeep", .opt_idx = kOptSplitkeep },
  { .name = "winborder", .opt_idx = kOptWinborder },
  { .name = "rightleft", .opt_idx = kOptRightleft },
  { .name = "scrolloff", .opt_idx = kOptScrolloff },
  { .name = "cmdheight", .opt_idx = kOptCmdheight },
  { .name = "pumheight", .opt_idx = kOptPumheight },
  { .name = "winheight", .opt_idx = kOptWinheight },
  { .name = "highlight", .opt_idx = kOptHighlight },
  { .name = "backupdir", .opt_idx = kOptBackupdir },
  { .name = "browsedir", .opt_idx = kOptBrowsedir },
  { .name = "autochdir", .opt_idx = kOptAutochdir },
  { .name = "endoffile", .opt_idx = kOptEndoffile },
  { .name = "errorfile", .opt_idx = kOptErrorfile },
  { .name = "imdisable", .opt_idx = kOptImdisable },
  { .name = "shadafile", .opt_idx = kOptShadafile },
  { .name = "spellfile", .opt_idx = kOptSpellfile },
  { .name = "menuitems", .opt_idx = kOptMenuitems },
  { .name = "shelltemp", .opt_idx = kOptShelltemp },
  { .name = "matchtime", .opt_idx = kOptMatchtime },
  { .name = "mousetime", .opt_idx = kOptMousetime },
  { .name = "endofline", .opt_idx = kOptEndofline },
  { .name = "imcmdline", .opt_idx = kOptImcmdline },
  { .name = "spelllang", .opt_idx = kOptSpelllang },
  { .name = "cpoptions", .opt_idx = kOptCpoptions },
  { .name = "guicursor", .opt_idx = kOptGuicursor },
  { .name = "selection", .opt_idx = kOptSelection },
  { .name = "synmaxcol", .opt_idx = kOptSynmaxcol },
  { .name = "shellpipe", .opt_idx = kOptShellpipe },
  { .name = "patchexpr", .opt_idx = kOptPatchexpr },
  { .name = "scrollopt", .opt_idx = kOptScrollopt },
  { .name = "directory", .opt_idx = kOptDirectory },
  { .name = "clipboard", .opt_idx = kOptClipboard },
  { .name = "formatprg", .opt_idx = kOptFormatprg },
  { .name = "fillchars", .opt_idx = kOptFillchars },
  { .name = "wildcharm", .opt_idx = kOptWildcharm },
  { .name = "iskeyword", .opt_idx = kOptIskeyword },
  { .name = "listchars", .opt_idx = kOptListchars },
  { .name = "foldclose", .opt_idx = kOptFoldclose },
  { .name = "shortmess", .opt_idx = kOptShortmess },
  { .name = "smartcase", .opt_idx = kOptSmartcase },
  { .name = "infercase", .opt_idx = kOptInfercase },
  { .name = "taglength", .opt_idx = kOptTaglength },
  { .name = "nrformats", .opt_idx = kOptNrformats },
  { .name = "ambiwidth", .opt_idx = kOptAmbiwidth },
  { .name = "textwidth", .opt_idx = kOptTextwidth },
  { .name = "autowrite", .opt_idx = kOptAutowrite },
  { .name = "thesaurus", .opt_idx = kOptThesaurus },
  { .name = "winfixbuf", .opt_idx = kOptWinfixbuf },
  { .name = "switchbuf", .opt_idx = kOptSwitchbuf },
  { .name = "backupext", .opt_idx = kOptBackupext },
  { .name = "tagbsearch", .opt_idx = kOptTagbsearch },
  { .name = "modifiable", .opt_idx = kOptModifiable },
  { .name = "paragraphs", .opt_idx = kOptParagraphs },
  { .name = "joinspaces", .opt_idx = kOptJoinspaces },
  { .name = "laststatus", .opt_idx = kOptLaststatus },
  { .name = "foldenable", .opt_idx = kOptFoldenable },
  { .name = "matchpairs", .opt_idx = kOptMatchpairs },
  { .name = "maxcombine", .opt_idx = kOptMaxcombine },
  { .name = "scrollback", .opt_idx = kOptScrollback },
  { .name = "scrollbind", .opt_idx = kOptScrollbind },
  { .name = "cursorbind", .opt_idx = kOptCursorbind },
  { .name = "delcombine", .opt_idx = kOptDelcombine },
  { .name = "visualbell", .opt_idx = kOptVisualbell },
  { .name = "backupcopy", .opt_idx = kOptBackupcopy },
  { .name = "ignorecase", .opt_idx = kOptIgnorecase },
  { .name = "keywordprg", .opt_idx = kOptKeywordprg },
  { .name = "showcmdloc", .opt_idx = kOptShowcmdloc },
  { .name = "lazyredraw", .opt_idx = kOptLazyredraw },
  { .name = "copyindent", .opt_idx = kOptCopyindent },
  { .name = "autoindent", .opt_idx = kOptAutoindent },
  { .name = "tabpagemax", .opt_idx = kOptTabpagemax },
  { .name = "formatexpr", .opt_idx = kOptFormatexpr },
  { .name = "shellredir", .opt_idx = kOptShellredir },
  { .name = "indentexpr", .opt_idx = kOptIndentexpr },
  { .name = "writedelay", .opt_idx = kOptWritedelay },
  { .name = "errorbells", .opt_idx = kOptErrorbells },
  { .name = "splitbelow", .opt_idx = kOptSplitbelow },
  { .name = "mouseshape", .opt_idx = kOptMouseshape },
  { .name = "cinoptions", .opt_idx = kOptCinoptions },
  { .name = "compatible", .opt_idx = kOptCompatible },
  { .name = "guioptions", .opt_idx = kOptGuioptions },
  { .name = "helpheight", .opt_idx = kOptHelpheight },
  { .name = "shiftwidth", .opt_idx = kOptShiftwidth },
  { .name = "splitright", .opt_idx = kOptSplitright },
  { .name = "scrolljump", .opt_idx = kOptScrolljump },
  { .name = "winaltkeys", .opt_idx = kOptWinaltkeys },
  { .name = "indentkeys", .opt_idx = kOptIndentkeys },
  { .name = "shellslash", .opt_idx = kOptShellslash },
  { .name = "signcolumn", .opt_idx = kOptSigncolumn },
  { .name = "statusline", .opt_idx = kOptStatusline },
  { .name = "mkspellmem", .opt_idx = kOptMkspellmem },
  { .name = "undoreload", .opt_idx = kOptUndoreload },
  { .name = "cursorline", .opt_idx = kOptCursorline },
  { .name = "foldcolumn", .opt_idx = kOptFoldcolumn },
  { .name = "selectmode", .opt_idx = kOptSelectmode },
  { .name = "inccommand", .opt_idx = kOptInccommand },
  { .name = "insertmode", .opt_idx = kOptInsertmode },
  { .name = "dictionary", .opt_idx = kOptDictionary },
  { .name = "wildignore", .opt_idx = kOptWildignore },
  { .name = "foldignore", .opt_idx = kOptFoldignore },
  { .name = "shiftround", .opt_idx = kOptShiftround },
  { .name = "mousefocus", .opt_idx = kOptMousefocus },
  { .name = "mousemodel", .opt_idx = kOptMousemodel },
  { .name = "background", .opt_idx = kOptBackground },
  { .name = "grepformat", .opt_idx = kOptGrepformat },
  { .name = "iconstring", .opt_idx = kOptIconstring },
  { .name = "foldmarker", .opt_idx = kOptFoldmarker },
  { .name = "wrapmargin", .opt_idx = kOptWrapmargin },
  { .name = "sidescroll", .opt_idx = kOptSidescroll },
  { .name = "fileformat", .opt_idx = kOptFileformat },
  { .name = "pyxversion", .opt_idx = kOptPyxversion },
  { .name = "vartabstop", .opt_idx = kOptVartabstop },
  { .name = "backupskip", .opt_idx = kOptBackupskip },
  { .name = "redrawtime", .opt_idx = kOptRedrawtime },
  { .name = "timeoutlen", .opt_idx = kOptTimeoutlen },
  { .name = "updatetime", .opt_idx = kOptUpdatetime },
  { .name = "foldmethod", .opt_idx = kOptFoldmethod },
  { .name = "shellquote", .opt_idx = kOptShellquote },
  { .name = "opendevice", .opt_idx = kOptOpendevice },
  { .name = "undolevels", .opt_idx = kOptUndolevels },
  { .name = "equalalways", .opt_idx = kOptEqualalways },
  { .name = "showtabline", .opt_idx = kOptShowtabline },
  { .name = "virtualedit", .opt_idx = kOptVirtualedit },
  { .name = "softtabstop", .opt_idx = kOptSofttabstop },
  { .name = "guitablabel", .opt_idx = kOptGuitablabel },
  { .name = "writebackup", .opt_idx = kOptWritebackup },
  { .name = "colorcolumn", .opt_idx = kOptColorcolumn },
  { .name = "arabicshape", .opt_idx = kOptArabicshape },
  { .name = "includeexpr", .opt_idx = kOptIncludeexpr },
  { .name = "eadirection", .opt_idx = kOptEadirection },
  { .name = "quoteescape", .opt_idx = kOptQuoteescape },
  { .name = "updatecount", .opt_idx = kOptUpdatecount },
  { .name = "completeopt", .opt_idx = kOptCompleteopt },
  { .name = "foldnestmax", .opt_idx = kOptFoldnestmax },
  { .name = "errorformat", .opt_idx = kOptErrorformat },
  { .name = "rulerformat", .opt_idx = kOptRulerformat },
  { .name = "viminfofile", .opt_idx = kOptShadafile },
  { .name = "messagesopt", .opt_idx = kOptMessagesopt },
  { .name = "breakindent", .opt_idx = kOptBreakindent },
  { .name = "eventignore", .opt_idx = kOptEventignore },
  { .name = "smartindent", .opt_idx = kOptSmartindent },
  { .name = "tagrelative", .opt_idx = kOptTagrelative },
  { .name = "loadplugins", .opt_idx = kOptLoadplugins },
  { .name = "runtimepath", .opt_idx = kOptRuntimepath },
  { .name = "guifontwide", .opt_idx = kOptGuifontwide },
  { .name = "winminwidth", .opt_idx = kOptWinminwidth },
  { .name = "fileformats", .opt_idx = kOptFileformats },
  { .name = "charconvert", .opt_idx = kOptCharconvert },
  { .name = "ttimeoutlen", .opt_idx = kOptTtimeoutlen },
  { .name = "langnoremap", .opt_idx = kOptLangnoremap },
  { .name = "startofline", .opt_idx = kOptStartofline },
  { .name = "maxmapdepth", .opt_idx = kOptMaxmapdepth },
  { .name = "wildoptions", .opt_idx = kOptWildoptions },
  { .name = "jumpoptions", .opt_idx = kOptJumpoptions },
  { .name = "viewoptions", .opt_idx = kOptViewoptions },
  { .name = "lispoptions", .opt_idx = kOptLispoptions },
  { .name = "allowrevins", .opt_idx = kOptAllowrevins },
  { .name = "numberwidth", .opt_idx = kOptNumberwidth },
  { .name = "mousescroll", .opt_idx = kOptMousescroll },
  { .name = "verbosefile", .opt_idx = kOptVerbosefile },
  { .name = "titlestring", .opt_idx = kOptTitlestring },
  { .name = "pastetoggle", .opt_idx = kOptPastetoggle },
  { .name = "showfulltag", .opt_idx = kOptShowfulltag },
  { .name = "redrawdebug", .opt_idx = kOptRedrawdebug },
  { .name = "pummaxwidth", .opt_idx = kOptPummaxwidth },
  { .name = "shellxquote", .opt_idx = kOptShellxquote },
  { .name = "winfixwidth", .opt_idx = kOptWinfixwidth },
  { .name = "suffixesadd", .opt_idx = kOptSuffixesadd },
  { .name = "statuscolumn", .opt_idx = kOptStatuscolumn },
  { .name = "edcompatible", .opt_idx = kOptEdcompatible },
  { .name = "cmdwinheight", .opt_idx = kOptCmdwinheight },
  { .name = "modelineexpr", .opt_idx = kOptModelineexpr },
  { .name = "shellcmdflag", .opt_idx = kOptShellcmdflag },
  { .name = "shellxescape", .opt_idx = kOptShellxescape },
  { .name = "operatorfunc", .opt_idx = kOptOperatorfunc },
  { .name = "spellsuggest", .opt_idx = kOptSpellsuggest },
  { .name = "spelloptions", .opt_idx = kOptSpelloptions },
  { .name = "regexpengine", .opt_idx = kOptRegexpengine },
  { .name = "rightleftcmd", .opt_idx = kOptRightleftcmd },
  { .name = "makeencoding", .opt_idx = kOptMakeencoding },
  { .name = "foldminlines", .opt_idx = kOptFoldminlines },
  { .name = "fileencoding", .opt_idx = kOptFileencoding },
  { .name = "completefunc", .opt_idx = kOptCompletefunc },
  { .name = "winhighlight", .opt_idx = kOptWinhighlight },
  { .name = "conceallevel", .opt_idx = kOptConceallevel },
  { .name = "winfixheight", .opt_idx = kOptWinfixheight },
  { .name = "winminheight", .opt_idx = kOptWinminheight },
  { .name = "smoothscroll", .opt_idx = kOptSmoothscroll },
  { .name = "termencoding", .opt_idx = kOptTermencoding },
  { .name = "cursorcolumn", .opt_idx = kOptCursorcolumn },
  { .name = "autowriteall", .opt_idx = kOptAutowriteall },
  { .name = "maxfuncdepth", .opt_idx = kOptMaxfuncdepth },
  { .name = "fixendofline", .opt_idx = kOptFixendofline },
  { .name = "concealcursor", .opt_idx = kOptConcealcursor },
  { .name = "guitabtooltip", .opt_idx = kOptGuitabtooltip },
  { .name = "sidescrolloff", .opt_idx = kOptSidescrolloff },
  { .name = "spellcapcheck", .opt_idx = kOptSpellcapcheck },
  { .name = "previewwindow", .opt_idx = kOptPreviewwindow },
  { .name = "completeslash", .opt_idx = kOptCompleteslash },
  { .name = "previewheight", .opt_idx = kOptPreviewheight },
  { .name = "maxmempattern", .opt_idx = kOptMaxmempattern },
  { .name = "commentstring", .opt_idx = kOptCommentstring },
  { .name = "fileencodings", .opt_idx = kOptFileencodings },
  { .name = "cinscopedecls", .opt_idx = kOptCinscopedecls },
  { .name = "cursorlineopt", .opt_idx = kOptCursorlineopt },
  { .name = "formatlistpat", .opt_idx = kOptFormatlistpat },
  { .name = "formatoptions", .opt_idx = kOptFormatoptions },
  { .name = "thesaurusfunc", .opt_idx = kOptThesaurusfunc },
  { .name = "termguicolors", .opt_idx = kOptTermguicolors },
  { .name = "breakindentopt", .opt_idx = kOptBreakindentopt },
  { .name = "eventignorewin", .opt_idx = kOptEventignorewin },
  { .name = "fileignorecase", .opt_idx = kOptFileignorecase },
  { .name = "foldlevelstart", .opt_idx = kOptFoldlevelstart },
  { .name = "maxsearchcount", .opt_idx = kOptMaxsearchcount },
  { .name = "mousemoveevent", .opt_idx = kOptMousemoveevent },
  { .name = "preserveindent", .opt_idx = kOptPreserveindent },
  { .name = "relativenumber", .opt_idx = kOptRelativenumber },
  { .name = "sessionoptions", .opt_idx = kOptSessionoptions },
  { .name = "varsofttabstop", .opt_idx = kOptVarsofttabstop },
  { .name = "wildignorecase", .opt_idx = kOptWildignorecase },
  { .name = "termpastefilter", .opt_idx = kOptTermpastefilter },
  { .name = "quickfixtextfunc", .opt_idx = kOptQuickfixtextfunc },
  { .name = "completeitemalign", .opt_idx = kOptCompleteitemalign },
  { .name = "completefuzzycollect", .opt_idx = kOptCompletefuzzycollect },
};

static int find_option_hash(const char *str, size_t len)
{
  int low = 0, high = 0;
  switch (len) {
    case 2: switch (str[1]) {
      case 'a': low = 0; high = 4; break;
      case 'b': low = 4; high = 10; break;
      case 'c': low = 10; high = 16; break;
      case 'd': low = 16; high = 21; break;
      case 'e': low = 21; high = 24; break;
      case 'f': low = 24; high = 30; break;
      case 'g': low = 30; high = 32; break;
      case 'h': low = 32; high = 39; break;
      case 'i': low = 39; high = 48; break;
      case 'j': low = 48; high = 49; break;
      case 'k': low = 49; high = 51; break;
      case 'l': low = 51; high = 58; break;
      case 'm': low = 58; high = 65; break;
      case 'o': low = 65; high = 72; break;
      case 'p': low = 72; high = 80; break;
      case 'r': low = 80; high = 84; break;
      case 's': low = 84; high = 92; break;
      case 't': low = 92; high = 97; break;
      case 'u': low = 97; high = 100; break;
      case 'w': low = 100; high = 106; break;
      case 'x': low = 106; high = 107; break;
      case 'y': low = 107; high = 108; break;
      case 'z': low = 108; high = 109; break;
      default: break;
    }
    break;
    case 3: switch (str[2]) {
      case 'a': low = 109; high = 113; break;
      case 'b': low = 113; high = 118; break;
      case 'c': low = 118; high = 133; break;
      case 'd': low = 133; high = 141; break;
      case 'e': low = 141; high = 145; break;
      case 'f': low = 145; high = 157; break;
      case 'g': low = 157; high = 160; break;
      case 'h': low = 160; high = 165; break;
      case 'i': low = 165; high = 172; break;
      case 'k': low = 172; high = 177; break;
      case 'l': low = 177; high = 193; break;
      case 'm': low = 193; high = 206; break;
      case 'n': low = 206; high = 212; break;
      case 'o': low = 212; high = 218; break;
      case 'p': low = 218; high = 232; break;
      case 'q': low = 232; high = 234; break;
      case 'r': low = 234; high = 245; break;
      case 's': low = 245; high = 261; break;
      case 't': low = 261; high = 268; break;
      case 'u': low = 268; high = 273; break;
      case 'v': low = 273; high = 274; break;
      case 'w': low = 274; high = 282; break;
      case 'x': low = 282; high = 287; break;
      default: break;
    }
    break;
    case 4: switch (str[3]) {
      case 'a': low = 287; high = 288; break;
      case 'b': low = 288; high = 290; break;
      case 'c': low = 290; high = 295; break;
      case 'e': low = 295; high = 298; break;
      case 'f': low = 298; high = 301; break;
      case 'h': low = 301; high = 302; break;
      case 'k': low = 302; high = 305; break;
      case 'l': low = 305; high = 306; break;
      case 'n': low = 306; high = 308; break;
      case 'o': low = 308; high = 311; break;
      case 'p': low = 311; high = 316; break;
      case 'r': low = 316; high = 319; break;
      case 's': low = 319; high = 322; break;
      case 't': low = 322; high = 327; break;
      case 'u': low = 327; high = 329; break;
      case 'v': low = 329; high = 330; break;
      case 'w': low = 330; high = 332; break;
      case 'x': low = 332; high = 333; break;
      case 'y': low = 333; high = 334; break;
      default: break;
    }
    break;
    case 5: switch (str[0]) {
      case 'a': low = 334; high = 335; break;
      case 'b': low = 335; high = 336; break;
      case 'c': low = 336; high = 338; break;
      case 'd': low = 338; high = 339; break;
      case 'e': low = 339; high = 340; break;
      case 'f': low = 340; high = 342; break;
      case 'h': low = 342; high = 343; break;
      case 'l': low = 343; high = 344; break;
      case 'm': low = 344; high = 346; break;
      case 'p': low = 346; high = 347; break;
      case 'r': low = 347; high = 349; break;
      case 's': low = 349; high = 352; break;
      case 't': low = 352; high = 356; break;
      case 'v': low = 356; high = 357; break;
      case 'w': low = 357; high = 360; break;
      default: break;
    }
    break;
    case 6: switch (str[2]) {
      case 'a': low = 360; high = 361; break;
      case 'c': low = 361; high = 363; break;
      case 'd': low = 363; high = 364; break;
      case 'f': low = 364; high = 366; break;
      case 'h': low = 366; high = 367; break;
      case 'i': low = 367; high = 368; break;
      case 'k': low = 368; high = 369; break;
      case 'l': low = 369; high = 370; break;
      case 'm': low = 370; high = 372; break;
      case 'n': low = 372; high = 376; break;
      case 'o': low = 376; high = 377; break;
      case 'p': low = 377; high = 379; break;
      case 'r': low = 379; high = 380; break;
      case 'u': low = 380; high = 384; break;
      case 'v': low = 384; high = 385; break;
      case 'x': low = 385; high = 386; break;
      case 'y': low = 386; high = 387; break;
      default: break;
    }
    break;
    case 7: switch (str[2]) {
      case 'a': low = 387; high = 388; break;
      case 'b': low = 388; high = 390; break;
      case 'c': low = 390; high = 391; break;
      case 'd': low = 391; high = 392; break;
      case 'e': low = 392; high = 395; break;
      case 'f': low = 395; high = 398; break;
      case 'g': low = 398; high = 401; break;
      case 'i': low = 401; high = 403; break;
      case 'k': low = 403; high = 404; break;
      case 'l': low = 404; high = 407; break;
      case 'm': low = 407; high = 409; break;
      case 'n': low = 409; high = 413; break;
      case 'o': low = 413; high = 414; break;
      case 'p': low = 414; high = 415; break;
      case 'r': low = 415; high = 416; break;
      case 's': low = 416; high = 420; break;
      case 'y': low = 420; high = 421; break;
      default: break;
    }
    break;
    case 8: switch (str[0]) {
      case 'a': low = 421; high = 422; break;
      case 'c': low = 422; high = 426; break;
      case 'd': low = 426; high = 427; break;
      case 'e': low = 427; high = 429; break;
      case 'f': low = 429; high = 434; break;
      case 'g': low = 434; high = 435; break;
      case 'h': low = 435; high = 438; break;
      case 'i': low = 438; high = 441; break;
      case 'k': low = 441; high = 442; break;
      case 'l': low = 442; high = 444; break;
      case 'm': low = 444; high = 447; break;
      case 'o': low = 447; high = 448; break;
      case 'p': low = 448; high = 451; break;
      case 'r': low = 451; high = 452; break;
      case 's': low = 452; high = 457; break;
      case 't': low = 457; high = 464; break;
      case 'u': low = 464; high = 465; break;
      case 'w': low = 465; high = 472; break;
      default: break;
    }
    break;
    case 9: switch (str[7]) {
      case 'a': low = 472; high = 477; break;
      case 'c': low = 477; high = 481; break;
      case 'd': low = 481; high = 484; break;
      case 'e': low = 484; high = 490; break;
      case 'f': low = 490; high = 492; break;
      case 'h': low = 492; high = 496; break;
      case 'i': low = 496; high = 499; break;
      case 'l': low = 499; high = 504; break;
      case 'm': low = 504; high = 508; break;
      case 'n': low = 508; high = 512; break;
      case 'o': low = 512; high = 515; break;
      case 'p': low = 515; high = 518; break;
      case 'r': low = 518; high = 525; break;
      case 's': low = 525; high = 529; break;
      case 't': low = 529; high = 534; break;
      case 'u': low = 534; high = 537; break;
      case 'x': low = 537; high = 538; break;
      default: break;
    }
    break;
    case 10: switch (str[6]) {
      case 'a': low = 538; high = 545; break;
      case 'b': low = 545; high = 551; break;
      case 'c': low = 551; high = 553; break;
      case 'd': low = 553; high = 558; break;
      case 'e': low = 558; high = 565; break;
      case 'h': low = 565; high = 566; break;
      case 'i': low = 566; high = 572; break;
      case 'j': low = 572; high = 573; break;
      case 'k': low = 573; high = 575; break;
      case 'l': low = 575; high = 582; break;
      case 'm': low = 582; high = 585; break;
      case 'n': low = 585; high = 588; break;
      case 'o': low = 588; high = 592; break;
      case 'r': low = 592; high = 598; break;
      case 's': low = 598; high = 601; break;
      case 't': low = 601; high = 605; break;
      case 'u': low = 605; high = 606; break;
      case 'v': low = 606; high = 608; break;
      default: break;
    }
    break;
    case 11: switch (str[5]) {
      case 'a': low = 608; high = 612; break;
      case 'b': low = 612; high = 614; break;
      case 'c': low = 614; high = 616; break;
      case 'd': low = 616; high = 617; break;
      case 'e': low = 617; high = 622; break;
      case 'f': low = 622; high = 625; break;
      case 'g': low = 625; high = 626; break;
      case 'i': low = 626; high = 629; break;
      case 'l': low = 629; high = 631; break;
      case 'm': low = 631; high = 632; break;
      case 'n': low = 632; high = 634; break;
      case 'o': low = 634; high = 639; break;
      case 'p': low = 639; high = 644; break;
      case 'r': low = 644; high = 646; break;
      case 's': low = 646; high = 649; break;
      case 't': low = 649; high = 650; break;
      case 'u': low = 650; high = 651; break;
      case 'w': low = 651; high = 652; break;
      case 'x': low = 652; high = 656; break;
      default: break;
    }
    break;
    case 12: switch (str[2]) {
      case 'a': low = 656; high = 657; break;
      case 'c': low = 657; high = 658; break;
      case 'd': low = 658; high = 660; break;
      case 'e': low = 660; high = 665; break;
      case 'g': low = 665; high = 667; break;
      case 'k': low = 667; high = 668; break;
      case 'l': low = 668; high = 670; break;
      case 'm': low = 670; high = 671; break;
      case 'n': low = 671; high = 675; break;
      case 'o': low = 675; high = 676; break;
      case 'r': low = 676; high = 678; break;
      case 't': low = 678; high = 679; break;
      case 'x': low = 679; high = 681; break;
      default: break;
    }
    break;
    case 13: switch (str[5]) {
      case 'a': low = 681; high = 682; break;
      case 'b': low = 682; high = 683; break;
      case 'c': low = 683; high = 685; break;
      case 'e': low = 685; high = 688; break;
      case 'm': low = 688; high = 689; break;
      case 'n': low = 689; high = 691; break;
      case 'o': low = 691; high = 692; break;
      case 'r': low = 692; high = 693; break;
      case 't': low = 693; high = 695; break;
      case 'u': low = 695; high = 697; break;
      default: break;
    }
    break;
    case 14: switch (str[0]) {
      case 'b': low = 697; high = 698; break;
      case 'e': low = 698; high = 699; break;
      case 'f': low = 699; high = 701; break;
      case 'm': low = 701; high = 703; break;
      case 'p': low = 703; high = 704; break;
      case 'r': low = 704; high = 705; break;
      case 's': low = 705; high = 706; break;
      case 'v': low = 706; high = 707; break;
      case 'w': low = 707; high = 708; break;
      default: break;
    }
    break;
    case 15: low = 708; high = 709; break;
    case 16: low = 709; high = 710; break;
    case 17: low = 710; high = 711; break;
    case 20: low = 711; high = 712; break;
    default: break;
  }
  for (int i = low; i < high; i++) {
    if (!memcmp(str, option_hash_elems[i].name, len)) {
      return i;
    }
  }
  return -1;
}


